%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% Plotting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Plots simulated values from SimulationPlantModel
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Plotting for Genset 1

if plot_CPKalman == 1

    figure()
    hold on
    %suptitle('Measurement estimation error')
    
    subplot(3,1,1)
    plot(time,r1)
    if PlotLowGov == 1
        axis([0 runtime -1*10^(-16) 1*10^(-16)])
    end   
    %g=legend('$\dot{\omega}$');
    h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    %set(g,'Interpreter','latex')
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')

%     xlabel('time [s]')
%     ylabel('r_\omega')
    grid on
    
    subplot(3,1,2)
    plot(time,r2)
    if PlotLowGov == 1
        axis([0 runtime -1*10^(-16) 1*10^(-16)])
    end
    h = ylabel('Active power [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(3,1,3)
    plot(time,r3)
    if PlotLowAVR == 1
        axis([0 runtime -1*10^(-15) 1*10^(-15)])
    end
    h = ylabel('Reactive power [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    MeasurementEstimationError = gcf;
   hold off
    
    figure()
    hold on
    %suptitle('State estimation error')

    subplot(4,1,1)
    plot(time,delta-x1)
     if PlotLowGov == 1
        axis([0 runtime -1*10^(-16) 1*10^(-16)])
     end
    h = ylabel('Power angle [rad]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(4,1,2)
    plot(time,omega-x2)
     if PlotLowGov == 1
        axis([0 runtime -1*10^(-16) 1*10^(-16)])
     end
    h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(4,1,3)
    plot(time,t_m-x3)
     if PlotLowGov == 1
        axis([0 runtime -1*10^(-16) 1*10^(-16)])
     end
    h = ylabel('Mechanical torque [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(4,1,4)
    plot(time,i_f-x4)
     if PlotLowAVR == 1
        axis([0 runtime -1*10^(-16) 1*10^(-16)])
     end
     h = ylabel('Field current [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    StateEstimationError = gcf;
    hold off
  
end

