%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% Plotting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Plots simulated values from SimulationPlantModel
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Plotting for Genset 1

if plot_LinRR == 1

    figure()
    hold on
    
    subplot(1,1,1)
    %plot(time,r1)
    plot(time,r2)
    if PlotLowAVR == 1
        axis([0 runtime -1*10^(-2) 1*10^(-2)])
    end
    h = ylabel('Redundancy relation');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    LinearRedundancyRelation = gcf;
    hold off

%% States
    
    figure()
    hold on

    subplot(4,1,1)
    plot(time,delta)
%      if PlotLowAVR == 1
%         axis([0 runtime -1*10^(-2) 1*10^(-2)])
%      end
    h = ylabel('Power angle [rad]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(4,1,2)
    plot(time,omega)
%      if PlotLowAVR == 1
%         axis([0 runtime -1*10^(-2) 1*10^(-2)])
%      end
    h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(4,1,3)
    plot(time,t_m)
%      if PlotLowAVR == 1
%         axis([0 runtime -1*10^(-2) 1*10^(-2)])
%      end
    h = ylabel('Mechanical torque [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(4,1,4)
    plot(time,i_f)
%      if PlotLowAVR == 1
%         axis([0 runtime -1*10^(-2) 1*10^(-2)])
%      end
     h = ylabel('Field current [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    SimulatesStates = gcf;
    hold off

end

