%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% RunAll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Overall program, runs all subprograms
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all
clear all
clc

%% Select options for plotting and saving
plot_LinRR = 1; % 1 => Plotting values from simulation
SavePlots = 1; % 1 => Saving plots from simulation

CaseNr = 24; % Case number used in filenames  
%CaseNr = 0 => No faults
%CaseNr = 12 => Governor frozen
%CaseNr = 13 => Governor to min
%CaseNr = 14 => Governor to max
%CaseNr = 22 => AVR frozen
%CaseNr = 23 => AVR to min
%CaseNr = 24 => AVR to max

%% Running simulation
GeneratorNumber = 1;
Initialize
sim('CPModel_1Genset_withLinRR');
Plotting

%% Saving plots - all plots are saved in the folder "Plots"
if SavePlots == 1 && plot_LinRR == 1
    saveas(LinearRedundancyRelation,['Plots\LinearRedundancyRelation_FaultMode',num2str(CaseNr)],'png');
    saveas(SimulatesStates,['Plots\SimulatesStates_FaultMode',num2str(CaseNr)],'png');
end

