close all
clear all

%% Initializing parameters
n = 4;
GeneratorNumber = 1;
UseSymbolicParameters = 0;

if UseSymbolicParameters == 1
    syms omega_b H D_fw T_e T_f r_f p q abs_v_ll x_s omega0 i_f0 omega r_s
elseif UseSymbolicParameters == 0
    syms p q abs_v_ll omega
    Initialize
    omega_b = omega_b;
    H = H_G(GeneratorNumber);
    D_fw = D_fw_G(GeneratorNumber);
    T_e = tau_e_G(GeneratorNumber);
    T_f = tau_f_G(GeneratorNumber);
    r_f = r_f_G(GeneratorNumber);
    r_s = z_G(GeneratorNumber,1);
    x_s = z_G(GeneratorNumber,2);
    omega0 = x_0(2);
    i_f0 = x_0(4);     
end

A = [0 omega_b 0 0;
    0 -(1/(2*H))*D_fw 1/(2*H) 0;
    0 0 -1/T_e 0;
    0 0 0 -1/T_f];

B = [-omega_b 0 0 0;
    0 0 0 0;
    0 0 (D_fw+1)/T_e 0;
    0 0 0 1/(T_f*r_f)];

f_uy = [0; (1/(2*H))*(-p/omega - r_s*(p^2+q^2)/(omega*abs_v_ll^2)); 0; 0];

C = [0 1 0 0;
    1/x_s 0 0 0;
    0 (1/x_s)*r_f*i_f0 0 (1/x_s)*r_f*omega0];

D = [0 0 0 0;
    0 0 0 0;
    0 -1/x_s 0 0];

ObsMatrix = obsv(A,C);
RankObsMatrix = rank(ObsMatrix);
SystemObservability = RankObsMatrix-n


