%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% Plotting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Plots simulated values from SimulationPlantModel
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Plotting for Genset 1

if plot_NonlinRR == 1

    figure()
    hold on
    
    subplot(3,1,1)
    plot(time,r_dq)
    if CaseNr == 0
        axis([0 runtime -0.5 0.1])
    elseif CaseNr == 12
        axis([0 runtime -0.5 0.1])
    elseif CaseNr == 13
        axis([0 runtime -0.2 0.1])
    elseif CaseNr == 14
        axis([0 runtime -0.2 0.1])
    elseif CaseNr == 22
        axis([0 runtime -100 3600])
    elseif CaseNr == 23
        axis([0 runtime -100 3600])
    elseif CaseNr == 24
        axis([0 runtime -100 3600])
    end   
    h = ylabel('$RR \dot{q}$');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on
    
    subplot(3,1,2)
    plot(time,r_ddw)
    if CaseNr == 0
        axis([0 runtime -1 1])
    elseif CaseNr == 12
        axis([0 runtime -20 1])
    elseif CaseNr == 13
        axis([0 runtime -0.5 400])
    elseif CaseNr == 14
        axis([0 runtime -500 50])
    elseif CaseNr == 22
        axis([0 runtime -2 0.5])
    elseif CaseNr == 23
        axis([0 runtime -5 2])
    elseif CaseNr == 24
        %axis([0 runtime -0.5 0.1])
        axis([0 runtime -10 10])
    end   
    h = ylabel('$RR \ddot{\omega}$');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(3,1,3)
    plot(time,r_ddq)
    if CaseNr == 0
        axis([0 runtime -1 1])
    elseif CaseNr == 12
        axis([0 runtime -30 30])
    elseif CaseNr == 13
        axis([0 runtime -1 500])
    elseif CaseNr == 14
        axis([0 runtime -500 50])
    elseif CaseNr == 22
        axis([0 runtime -1.5*10^6 1*10^5])
    elseif CaseNr == 23
        axis([0 runtime -1.5*10^6 1*10^5])
    elseif CaseNr == 24
        axis([0 runtime -1.5*10^6 1*10^5])
    end   
    h = ylabel('$RR \ddot{q}$');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    %grid on
    
    NonlinRRValues = gcf;
    hold off
    
    % Plotting state error
    figure()
    hold on

    subplot(4,1,1)
    plot(time,delta-x1)
     if PlotLowGov == 1
        %axis([0 runtime -1*10^(-16) 1*10^(-16)])
        axis([0 runtime -1 1])
     end
    %h = ylabel('$\tilde{\delta}$ [rad]');
    h = ylabel({'Load angle';'[rad]'});
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(4,1,2)
    plot(time,omega-x2)
     if PlotLowGov == 1
        %axis([0 runtime -1*10^(-16) 1*10^(-16)])
        axis([0 runtime -1 1])
     end
    h = ylabel({'Frequency';'[p.u.]'});
    %h = ylabel('$\tilde{\omega}$ [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(4,1,3)
    plot(time,t_m-x3)
    if CaseNr == 14
        axis([0 runtime -0.1 1.6])
    elseif PlotLowGov == 1
        %axis([0 runtime -0.01 0.01])
        axis([0 runtime -1 1])
    end
    h = ylabel({'Mechanical','torque [p.u.]'});
    %h = ylabel('$\tilde{t}_m$ [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(4,1,4)
    plot(time,i_f-x4)
     if PlotLowAVR == 1
        %axis([0 runtime -1*10^(-15) 1*10^(-15)])
        axis([0 runtime -1 1])
     end
    h = ylabel({'Field current';'[p.u.]'});
    %h = ylabel('$\tilde{i}_f$ [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    %grid on

    StateEstimationError = gcf;
    hold off

end

