%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% RunAll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Overall program, runs all subprograms
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all
clear all
clc

%% Select options for plotting and saving
close all
clear all
clc
%CaseNumberMatrix = [0 12 13 14 22 23 24]';
CaseNumberMatrix = [0 12 13 14 22 23 24 33 41 42 51 52]';
for i = 1:size(CaseNumberMatrix,1)
    
plot_NonlinRR = 1; % 1 => Plotting values from simulation
SavePlots = 1; % 1 => Saving plots from simulation

CaseNr = CaseNumberMatrix(i,1); % Case number used in filenames,
%CaseNr = 0 => No faults
%CaseNr = 12 => Governor frozen
%CaseNr = 13 => Governor to min
%CaseNr = 14 => Governor to max
%CaseNr = 22 => AVR frozen
%CaseNr = 23 => AVR to min
%CaseNr = 24 => AVR to max

%% Running simulation
GeneratorNumber = 1;
Initialize
sim('CPModel_NonlinRR');
Plotting

%% Saving plots - all plots are saved in the folder "Plots"
if SavePlots == 1 && plot_NonlinRR == 1
    saveas(NonlinRRValues,['Plots\NonlinRRValues_FaultMode',num2str(CaseNr)],'png');
    saveas(StateEstimationError,['Plots\StateEstimationError_FaultMode',num2str(CaseNr)],'png');
end

end
