%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% Plotting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Plots simulated values from SimulationPlantModel
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Plotting for Genset 1
if plot_ComSys == 1
    set(0,'DefaultAxesFontSize',9)
    %% Generator speed
    
    figure()
    hold on
    
    subplot(4,1,1)
    plot(time,omega_1,time,w_min1,'--',time,w_max1,'--')
    %plot(time,omega_1)
    h = ylabel('Frequency [p.u.]');
    k = title('Genset 1');
    %h = ylabel('Frequency [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(k,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    
    subplot(4,1,2)
    plot(time,omega_2,time,w_min2,'--',time,w_max2,'--')
    h = ylabel('Frequency [p.u.]');
    k = title('Genset 2');
    %h = ylabel('Frequency [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(k,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    
    subplot(4,1,3)
    plot(time,omega_3,time,w_min3,'--',time,w_max3,'--')
    h = ylabel('Frequency [p.u.]');
    k = title('Genset 3');
    %h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(k,'Interpreter','latex')
    set(j,'Interpreter','latex')
    
    legendAll =subplot(4,1,4);
    plot(0,0,0,0,'--',0,0,'--')
    set(legendAll,'Visible','off')%'vis','on'
    g = legend('Frequency ($\omega_i$)$\quad$','  Frequency lower limit $\quad$','  Frequency higher limit $\quad$');
    set(g,'Interpreter','latex')
    set(g,'Location','NorthOutside')
    set(g,'Orientation','horizontal')
    
    FaultDetectionOmega = gcf;
    hold off
    
    %% Bus voltage
  
    figure()
    hold on
    
    subplot(4,1,1)
    plot(time,abs_v_an,time,v_min1,'--',time,v_max1,'--')
    axis([0 runtime 2.9 3.1])
    h = ylabel('Bus voltage [p.u.]');
    k = title('Genset 1');
    %h = ylabel('Frequency [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(k,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    
    subplot(4,1,2)
    plot(time,abs_v_an,time,v_min2,'--',time,v_max2,'--')
    axis([0 runtime 2.9 3.1])
    h = ylabel('Bus voltage [p.u.]');
    k = title('Genset 2');
    %h = ylabel('Frequency [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(k,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    
    subplot(4,1,3)
    plot(time,abs_v_an,time,v_min3,'--',time,v_max3,'--')
    axis([0 runtime 2.9 3.1])
    k = title('Genset 3');
    h = ylabel('Bus voltage [p.u.]');
    %h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(k,'Interpreter','latex')
    set(j,'Interpreter','latex')
    
    legendAll =subplot(4,1,4);
    plot(0,0,0,0,'--',0,0,'--')
    set(legendAll,'Visible','off')%'vis','on'
    g = legend('$\quad$ Bus voltage ($\hat{v}_{an}$)$\quad$ ','$\quad$ Lower voltage limit $\quad$ ',' $\quad$ Higher voltage limit $\quad$ ');
    set(g,'Interpreter','latex')
    set(g,'Location','NorthOutside')
    set(g,'Orientation','horizontal')
    
    FaultDetectionVoltage = gcf;
    hold off
    
    %% Omega error values
    
    figure()
    hold on
    
    subplot(3,1,1)
    plot(time,omega_error1,time,omega_error2,time,omega_error3,[0 runtime],[D_omega_max D_omega_max],'--',[0 runtime],[-D_omega_min -D_omega_min],'--')
    axis([0 runtime -0.1 0.1])
    h = ylabel('Frequency error [p.u.]');
    %h = ylabel('Frequency [p.u.]');
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')voltage_error1
    
    subplot(3,1,2)
    plot(time,voltage_error1,time,voltage_error2,time,voltage_error3,[0 runtime],[D_v_max D_v_max],'--',[0 runtime],[-D_v_min -D_v_min],'--')
    axis([0 runtime -0.2 0.1])
    h = ylabel('Voltage error [p.u.]');
    %h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    
    legendAll =subplot(3,1,3);
    plot(0,0,0,0,0,0,0,0,'--',0,0,'--')
    set(legendAll,'Visible','off')%'vis','on'
    g = legend('Genset 1 $\quad$','  Genset 2 $\quad$','  Genset 3 $\quad$',' Max error $\quad$','Min error $\quad$');
    set(g,'Interpreter','latex')
    set(g,'Location','South')
    %set(g,'Orientation')
    
    ErrorValuesAllGensets = gcf;
    hold off
end