%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% RunAll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Overall program, runs all subprograms
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all
clear all
clc
%CaseNumberMatrix = [0 12 13 14 22 23 24 31 32 33 41 42 51 52]';
CaseNumberMatrix = [0 12 13 14 22 23 24 33 41 42 51 52]';
Max_tilde_omega1_matrix = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_omega1_matrix = zeros(size(CaseNumberMatrix,1),1);
Max_tilde_omega2_matrix = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_omega2_matrix = zeros(size(CaseNumberMatrix,1),1);

Max_tilde_p1_matrix = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_p1_matrix = zeros(size(CaseNumberMatrix,1),1);
Max_tilde_p2_matrix = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_p2_matrix = zeros(size(CaseNumberMatrix,1),1);

Max_tilde_q1_matrix = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_q1_matrix = zeros(size(CaseNumberMatrix,1),1);
Max_tilde_q2_matrix = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_q2_matrix = zeros(size(CaseNumberMatrix,1),1);

FaultDuration_matrix_omega = zeros(size(CaseNumberMatrix,1),1);
FaultDuration_matrix_v = zeros(size(CaseNumberMatrix,1),1);

Max_tilde_omega1_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_omega1_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Max_tilde_omega2_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_omega2_matrix_Time = zeros(size(CaseNumberMatrix,1),1);

Max_tilde_p1_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_p1_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Max_tilde_p2_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_p2_matrix_Time = zeros(size(CaseNumberMatrix,1),1);

Max_tilde_q1_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_q1_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Max_tilde_q2_matrix_Time = zeros(size(CaseNumberMatrix,1),1);
Min_tilde_q2_matrix_Time = zeros(size(CaseNumberMatrix,1),1);

for counterOverAll = 1:size(CaseNumberMatrix,1)

close all
%% Select options for plotting and saving
Plot_MaxMinValues = 1;
plotAll = 1; % 1 => Plotting values for all gensets together
plot_ComSys = 1; % 1 => Plotting values for Observers
plot_G1 = 0; % 1 => Plotting values for Genset 1
plot_G2 = 0; % 1 => Plotting values for Genset 2
plot_G3 = 0; % 1 => Plotting values for Genset 3
Save_MaxMinValues = 1;
Save_AllPlots = 1;
Save_ComSysPlots = 1;
SavePlots_G1 = 0; % 1 => Saving plots for Genset 1, plot_G1 = 1 must be selected
SavePlots_G2 = 0; % 1 => Saving plots for Genset 1, plot_G2 = 1 must be selected
SavePlots_G3 = 0; % 1 => Saving plots for Genset 1, plot_G3 = 1 must be selected

CaseNr = CaseNumberMatrix(counterOverAll,1); % Case number used in filenames,
%1  CaseNr = 0 => No faults
%2  CaseNr = 12 => Governor frozen
%3  CaseNr = 13 => Governor to min
%4  CaseNr = 14 => Governor to max
%5  CaseNr = 22 => AVR frozen
%6  CaseNr = 23 => AVR to min
%7  CaseNr = 24 => AVR to max
%Na CaseNr = 31 => Sudden disconnection of Genset 1
%Na CaseNr = 32 => Sudden disconnection of Genset 2
%8  CaseNr = 33 => Sudden disconnection of Genset 3
%9  CaseNr = 41 => Sudden active power (load) increase
%10 CaseNr = 42 => Sudden active power (load) decrease
%11 CaseNr = 51 => Sudden reactive power (load) increase
%12 CaseNr = 52 => Sudden reactive power (load) decrease

%% Running simulation
Initialize
sim('SimulationPlantModel_CommercialSystem');
%CalculatSystemProperties
PlottingAll
Plotting_ComSys
FaultProperties1
FaultProperties_wTime
%% Saving plots - all plots are saved in the folder "Plots"
if Save_AllPlots == 1 && plotAll == 1
    saveas(SimulatedPower_All,['Plots\SimulatedPower_All_FaultMode_',num2str(CaseNr)],'png');
    saveas(SimulatedElectricPar_All,['Plots\SimulatedElectricPar_All_FaultMode_',num2str(CaseNr)],'png');
    saveas(SimulatedStates_All,['Plots\SimulatedStates_All_FaultMode_',num2str(CaseNr)],'png');
    saveas(SimulatedInputs_All,['Plots\SimulatedInputs_All_FaultMode_',num2str(CaseNr)],'png');
end 
if Save_ComSysPlots == 1 && plot_ComSys == 1
    saveas(FaultDetectionOmega,['Plots\FaultDetectionOmega_FaultMode_',num2str(CaseNr)],'png');
    saveas(FaultDetectionVoltage,['Plots\FaultDetectionVoltage_FaultMode_',num2str(CaseNr)],'png');
    saveas(ErrorValuesAllGensets,['Plots\ErrorValuesAllGensets_FaultMode_',num2str(CaseNr)],'png');
end

end

plotMaxMinValues
% savefile = ['tilde_y_G1','.mat'];
% save(savefile, 'Max_tilde_omega1_matrix','Min_tilde_omega1_matrix','Max_tilde_p1_matrix','Min_tilde_p1_matrix','Max_tilde_q1_matrix','Min_tilde_q1_matrix')
% savefile = ['tilde_y_G2','.mat'];
% save(savefile, 'Max_tilde_omega2_matrix','Min_tilde_omega2_matrix','Max_tilde_p2_matrix','Min_tilde_p2_matrix','Max_tilde_q2_matrix','Min_tilde_q2_matrix')
