
if Plot_MaxMinValues == 1
set(0,'DefaultAxesFontSize',9)
Faulty_MaxOmega_matrix = Max_tilde_omega1_matrix(2:7);
Normal_MaxOmega_matrix = [Max_tilde_omega1_matrix(1);Max_tilde_omega1_matrix(8:12);Max_tilde_omega2_matrix(2:7)];
Faulty_MinOmega_matrix = Min_tilde_omega1_matrix(2:7);
Normal_MinOmega_matrix = [Min_tilde_omega1_matrix(1);Min_tilde_omega1_matrix(8:12);Min_tilde_omega2_matrix(2:7)];

FaultyMaxOmegaError = max(Faulty_MaxOmega_matrix);
FaultyMinOmegaError = min(Faulty_MinOmega_matrix);
NormalMaxOmegaError = max(Normal_MaxOmega_matrix);
NormalMinOmegaError = min(Normal_MinOmega_matrix);

Faulty_MaxP_matrix = Max_tilde_p1_matrix(2:7);
Normal_MaxP_matrix = [Max_tilde_p1_matrix(1);Max_tilde_p1_matrix(8:12);Max_tilde_p2_matrix(2:7)];
Faulty_MinP_matrix = Min_tilde_p1_matrix(2:7);
Normal_MinP_matrix = [Min_tilde_p1_matrix(1);Min_tilde_p1_matrix(8:12);Min_tilde_p2_matrix(2:7)];

FaultyMaxPError = max(Faulty_MaxP_matrix);
FaultyMinPError = min(Faulty_MinP_matrix);
NormalMaxPError = max(Normal_MaxP_matrix);
NormalMinPError = min(Normal_MinP_matrix);



figure() 
hold on
subplot(2,1,1)
hold on
plot(1:12,Normal_MaxOmega_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',5)
plot(1:12,Normal_MinOmega_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','r',...
                'MarkerSize',5)
plot(13:18,Faulty_MaxOmega_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','m',...
    'MarkerSize',5)
plot(13:18,Faulty_MinOmega_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b',...
    'MarkerSize',5)
plot(0:18,NormalMaxOmegaError*ones(19,1),'--g')
plot(0:18,NormalMinOmegaError*ones(19,1),'--r')
plot(0:18,FaultyMaxOmegaError*ones(19,1),'--m')
plot(0:18,FaultyMinOmegaError*ones(19,1),'--b')
set(gca,'XTick',[1:1:18])
h = ylabel({'Frequency error [p.u.]'});
%j = xlabel('Time [sec]');
set(h,'Interpreter','latex')
%set(j,'Interpreter','latex')
hold off

subplot(2,1,2)
hold on
plot(1:12,Normal_MaxP_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',5)
plot(1:12,Normal_MinP_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','r',...
                'MarkerSize',5)
plot(13:18,Faulty_MaxP_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','m',...
    'MarkerSize',5)
plot(13:18,Faulty_MinP_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b',...
    'MarkerSize',5)
plot(0:18,NormalMaxPError*ones(19,1),'--g')
plot(0:18,NormalMinPError*ones(19,1),'--r')
plot(0:18,FaultyMaxPError*ones(19,1),'--m')
plot(0:18,FaultyMinPError*ones(19,1),'--b')
set(gca,'XTick',[1:1:18])
h = ylabel({'Voltage error [p.u.]'});
j = xlabel('Simulation mode');
set(h,'Interpreter','latex')
set(j,'Interpreter','latex')
hold off


ErrorValuesTogetherAll = gcf;
hold off

figure()
legendAll =subplot(1,1,1);
hold on
plot(0,0,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',5)
plot(0,0,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','r',...
                'MarkerSize',5)
plot(0,0,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','m',...
                'MarkerSize',5)
plot(0,0,'-s','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b',...
    'MarkerSize',5)
plot(0,0,'--g',0,0,'--r',0,0,'--m',0,0,'--b')
set(legendAll,'Visible','off')%'vis','on'
g = legend('Normal simulation modes, maximum values $\qquad$ $\qquad$ $\qquad$','Normal simulation modes, minimum values $\qquad$','Failure modes, maximum values $\qquad$','Failure modes, minimum values $\qquad$','Maximum value, normal modes $\qquad$','Minimum value, normal modes $\qquad$','Maximum value, failure modes $\qquad$','Minimum value, failure modes $\qquad$');
set(g,'Interpreter','latex')
set(g,'Location','South')
%set(g,'Orientation','horizontal')
ErrorValuesTogetherAll_legend = gcf;
hold off    

if Save_MaxMinValues == 1
saveas(ErrorValuesTogetherAll,'Plots\ErrorValuesTogetherAll','png');
saveas(ErrorValuesTogetherAll_legend,'Plots\ErrorValuesTogetherAll_legend','png');
end


%% Plotting max min values with duration over the given value

Faulty_MaxOmega_matrix = Max_tilde_omega1_matrix_Time(2:7);
Normal_MaxOmega_matrix = [Max_tilde_omega1_matrix_Time(1);Max_tilde_omega1_matrix_Time(8:12);Max_tilde_omega2_matrix_Time(2:7)];
Faulty_MinOmega_matrix = Min_tilde_omega1_matrix_Time(2:7);
Normal_MinOmega_matrix = [Min_tilde_omega1_matrix_Time(1);Min_tilde_omega1_matrix_Time(8:12);Min_tilde_omega2_matrix_Time(2:7)];

FaultyMaxOmegaError = max(Faulty_MaxOmega_matrix);
FaultyMinOmegaError = min(Faulty_MinOmega_matrix);
NormalMaxOmegaError = max(Normal_MaxOmega_matrix);
NormalMinOmegaError = min(Normal_MinOmega_matrix);

Faulty_MaxP_matrix = Max_tilde_p1_matrix_Time(2:7);
Normal_MaxP_matrix = [Max_tilde_p1_matrix_Time(1);Max_tilde_p1_matrix_Time(8:12);Max_tilde_p2_matrix_Time(2:7)];
Faulty_MinP_matrix = Min_tilde_p1_matrix_Time(2:7);
Normal_MinP_matrix = [Min_tilde_p1_matrix_Time(1);Min_tilde_p1_matrix_Time(8:12);Min_tilde_p2_matrix_Time(2:7)];

FaultyMaxPError = max(Faulty_MaxP_matrix);
FaultyMinPError = min(Faulty_MinP_matrix);
NormalMaxPError = max(Normal_MaxP_matrix);
NormalMinPError = min(Normal_MinP_matrix);



figure() 
hold on
subplot(2,1,1)
hold on
plot(1:12,Normal_MaxOmega_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',5)
plot(1:12,Normal_MinOmega_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','r',...
                'MarkerSize',5)
plot(13:18,Faulty_MaxOmega_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','m',...
    'MarkerSize',5)
plot(13:18,Faulty_MinOmega_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b',...
    'MarkerSize',5)
plot(0:18,NormalMaxOmegaError*ones(19,1),'--g')
plot(0:18,NormalMinOmegaError*ones(19,1),'--r')
plot(0:18,Faulty_MaxOmega_matrix(1)*ones(19,1),'--m')
plot(0:18,FaultyMinOmegaError*ones(19,1),'--b')
set(gca,'XTick',[1:1:18])
h = ylabel({'Frequency error [p.u.]'});
%j = xlabel('Time [sec]');
set(h,'Interpreter','latex')
%set(j,'Interpreter','latex')
hold off

subplot(2,1,2)
hold on
plot(1:12,Normal_MaxP_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',5)
plot(1:12,Normal_MinP_matrix,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','r',...
                'MarkerSize',5)
plot(13:18,Faulty_MaxP_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','m',...
    'MarkerSize',5)
plot(13:18,Faulty_MinP_matrix,'-sk','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b',...
    'MarkerSize',5)
plot(0:18,NormalMaxPError*ones(19,1),'--g')
plot(0:18,NormalMinPError*ones(19,1),'--r')
plot(0:18,FaultyMaxPError*ones(19,1),'--m')
plot(0:18,Faulty_MinP_matrix(4)*ones(19,1),'--b')
set(gca,'XTick',[1:1:18])
h = ylabel({'Voltage error [p.u.]'});
j = xlabel('Simulation mode');
set(h,'Interpreter','latex')
set(j,'Interpreter','latex')
hold off


ErrorValuesTogetherAll_wTime = gcf;
hold off

figure()
legendAll =subplot(1,1,1);
hold on
plot(0,0,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','g',...
                'MarkerSize',5)
plot(0,0,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','r',...
                'MarkerSize',5)
plot(0,0,'-sk','LineWidth',1,...
                'MarkerEdgeColor','k',...
                'MarkerFaceColor','m',...
                'MarkerSize',5)
plot(0,0,'-s','LineWidth',1,...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','b',...
    'MarkerSize',5)
plot(0,0,'--g',0,0,'--r',0,0,'--m',0,0,'--b')
set(legendAll,'Visible','off')%'vis','on'
g = legend('Normal simulation modes, maximum values $\qquad$ $\qquad$ $\qquad$','Normal simulation modes, minimum values $\qquad$','Failure modes, maximum values $\qquad$','Failure modes, minimum values $\qquad$','Maximum value, normal modes $\qquad$','Minimum value, normal modes $\qquad$','Failure modes, overlying limit $\qquad$','Failure modes, underlying limit $\qquad$');
set(g,'Interpreter','latex')
set(g,'Location','South')
%set(g,'Orientation','horizontal')
ErrorValuesTogetherAll_legend_wTime = gcf;
hold off    

if Save_MaxMinValues == 1
saveas(ErrorValuesTogetherAll_wTime,'Plots\ErrorValuesTogetherAll_wTime','png');
saveas(ErrorValuesTogetherAll_legend_wTime,'Plots\ErrorValuesTogetherAll_legend_wTime','png');
end


omega_minPercent = (Faulty_MinOmega_matrix - NormalMinOmegaError)/NormalMinOmegaError
omega_maxPercent = (Faulty_MaxOmega_matrix - NormalMaxOmegaError)/NormalMaxOmegaError

v_minPercent = (Faulty_MinP_matrix- NormalMinPError)/NormalMinPError
v_maxPercent = (Faulty_MaxP_matrix- NormalMaxPError)/NormalMaxPError



end