
%set(0,'DefaultAxesFontSize',9)
if plotAll == 1
    % Preparing parameters for plotting
    p1_forPlot = zeros(size(s_G,3),1);
    q1_forPlot = zeros(size(s_G,3),1);
    for counter = 1:size(s_G,3)
        p1_forPlot(counter) = s_G(1,1,counter);
        q1_forPlot(counter) = s_G(1,2,counter);
    end
    p_loadG1 = P_load*CB_G_init(1)/(S_b_G(1)*N_G);
    q_loadG1 = Q_load*CB_G_init(1)/(S_b_G(1)*N_G);
    
    p2_forPlot = zeros(size(s_G,3),1);
    q2_forPlot = zeros(size(s_G,3),1);
    for i = 1:size(s_G,3)
        p2_forPlot(i) = s_G(2,1,i);
        q2_forPlot(i) = s_G(2,2,i);
    end
    
    p_loadG2 = P_load*CB_G_init(2)/(S_b_G(2)*N_G);
    q_loadG2 = Q_load*CB_G_init(2)/(S_b_G(2)*N_G);
    
    p3_forPlot = zeros(size(s_G,3),1);
    q3_forPlot = zeros(size(s_G,3),1);
    for i = 1:size(s_G,3)
        p3_forPlot(i) = s_G(3,1,i);
        q3_forPlot(i) = s_G(3,2,i);
    end
    
    p_loadG3 = P_load*CB_G_init(3)/(S_b_G(3)*N_G);
    q_loadG3 = Q_load*CB_G_init(3)/(S_b_G(3)*N_G);

    %% Power
    figure()
    hold on
    
    subplot(2,1,1)
    plot(time,p1_forPlot,time,p2_forPlot,time,p3_forPlot)
    %axis([0 runtime 0 2])
    h = ylabel('Active power [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    subplot(2,1,2)
    plot(time,q1_forPlot,time,q2_forPlot,time,q3_forPlot)
    %axis([0 runtime 0 2])
    h = ylabel('Reactive power [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    g = legend('Genset 1','Genset 2','Genset 3');
    set(g,'Interpreter','latex')
    set(g,'Location','SouthOutside')
    
    SimulatedPower_All = gcf;
    hold off
    
    %% Electrical parameters
    
    figure()
    hold on

    subplot(2,1,1)
    plot(time,abs_v_an)
    %axis([0 runtime 0 2])
    h = ylabel('Bus voltage [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    subplot(2,1,2) 
    plot(time,abs_e_a1,time,abs_e_a2,time,abs_e_a3)
    %axis([0 runtime 0 2])
    g = legend('Genset 1','Genset 2','Genset 3');
    set(g,'Interpreter','latex')
    set(g,'Location','SouthOutside')
    h = ylabel('Excitation voltage [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    SimulatedElectricPar_All = gcf;
    hold off

    %% States

    figure()
    hold on
    
    subplot(5,1,1)
    plot(time,delta_1,time,delta_2,time,delta_3)
    h = ylabel('$\delta$ [rad]');
    %h = ylabel('Load angle [rad]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(5,1,2)
    plot(time,omega_1,time,omega_2,time,omega_3)
    h = ylabel('$\omega$ [p.u.]');
    %h = ylabel('Frequency [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(5,1,3)
    plot(time,t_m1,time,t_m2,time,t_m3)
    h = ylabel('$t_{m}$ [p.u.]');
    %h = ylabel('Mech. torque [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(5,1,4)
    plot(time,i_f1,time,i_f2,time,i_f3)
    h = ylabel('$i_{f}$ [p.u.]');
    g = legend('Genset 1','Genset 2','Genset 3');
    set(g,'Interpreter','latex')
	set(g,'Location','SouthOutside')
    %h = ylabel('Field current [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
    
    
    SimulatedStates_All = gcf;
    hold off
    
    %% States

    figure()
    hold on
    
    subplot(5,1,1)
    plot(time,omega_0)
    h = ylabel('$\omega_0$ [p.u.]');
    %h = ylabel('Bus frequency [rad]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(5,1,2)
    plot(time,abs_v_an)
    h = ylabel('$\hat{v}_{an}$ [p.u.]');
    %h = ylabel('Bus voltage [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(5,1,3)
    plot(time,u_faulty1,time,u_faulty2,time,u_faulty3)
    %h = ylabel('Fuel rack position');
    h = ylabel('$u$ [-]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on

    subplot(5,1,4)
    plot(time,v_f_faulty1,time,v_f_faulty2,time,v_f_faulty3)
    g = legend('Genset 1','Genset 2','Genset 3');
    set(g,'Interpreter','latex')
    set(g,'Location','SouthOutside')
    %h = ylabel('Field voltage [p.u.]');
    h = ylabel('$v_f$ [p.u.]');
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    grid on
     
    
    SimulatedInputs_All = gcf;
    hold off


end