%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% Plotting
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Plots simulated values from SimulationPlantModel
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% Plotting for Genset 1

if plot_Luenberg == 1

    figure()
    hold on
    %suptitle('Measurement estimation error')
    
    subplot(3,1,1)
    plot(time,r1_1,time,r1_2,time,r1_3)
%     if PlotLowGov == 1
%         axis([0 runtime -1*10^(-16) 1*10^(-16)])
%     end   
    %g=legend('$\dot{\omega}$');
    h = ylabel({'Frequency';'[p.u.]'});
    %j = xlabel('Time [sec]');
    %set(g,'Interpreter','latex')
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')

%     xlabel('time [s]')
%     ylabel('r_\omega')
    %grid on
    
    subplot(3,1,2)
    plot(time,r2_1,time,r2_2,time,r2_3)
%     if PlotLowGov == 1
%         axis([0 runtime -1*10^(-16) 1*10^(-16)])
%     end
    h = ylabel({'Active power';'[p.u.]'});
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(3,1,3)
    plot(time,r3_1,time,r3_2,time,r3_3)
%     if PlotLowAVR == 1
%         axis([0 runtime -1*10^(-15) 1*10^(-15)])
%     end
    h = ylabel({'Reactive power';'[p.u.]'});
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    %grid on
    
    
%     legendAll =subplot(4,1,4);
%     plot(0,0,0,0,0,0)
%     set(legendAll,'Visible','off')%'vis','on'
%     g = legend('Genset 1 $\quad$','  Genset 2 $\quad$','  Genset 3 $\quad$');
%     set(g,'Interpreter','latex')
%     set(g,'Location','NorthOutside')
%     set(g,'Orientation','horizontal')
    
    MeasurementEstimationError = gcf;
   hold off
    
    figure()
    hold on
    %suptitle('State estimation error')

    subplot(4,1,1)
    plot(time,delta_1-x11,time,delta_2-x12,time,delta_3-x13)
%      if PlotLowGov == 1
%         axis([0 runtime -1*10^(-16) 1*10^(-16)])
%      end
    h = ylabel({'Power angle';'[rad]'});
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(4,1,2)
    plot(time,omega_1-x21,time,omega_2-x22,time,omega_3-x23)
%      if PlotLowGov == 1
%         axis([0 runtime -1*10^(-16) 1*10^(-16)])
%      end
    h = ylabel({'Frequency';'[p.u.]'});
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(4,1,3)
    plot(time,t_m1-x31,time,t_m2-x32,time,t_m3-x33)
%      if PlotLowGov == 1
%         axis([0 runtime -1*10^(-16) 1*10^(-16)])
%      end
    h = ylabel({'Mechanical';'torque [p.u.]'});
    %j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    %set(j,'Interpreter','latex')
    %grid on

    subplot(4,1,4)
    plot(time,i_f1-x41,time,i_f2-x42,time,i_f3-x43)
%      if PlotLowAVR == 1
%         axis([0 runtime -1*10^(-16) 1*10^(-16)])
%      end
     h = ylabel({'Field current';'[p.u.]'});
    j = xlabel('Time [sec]');
    set(h,'Interpreter','latex')
    set(j,'Interpreter','latex')
    %grid on
    
%     legendAll =subplot(5,1,5);
%     plot(0,0,0,0,0,0)
%     set(legendAll,'Visible','off')%'vis','on'
%     g = legend('Genset 1 $\quad$','  Genset 2 $\quad$','  Genset 3 $\quad$');
%     set(g,'Interpreter','latex')
%     set(g,'Location','NorthOutside')
%     set(g,'Orientation','horizontal')

    StateEstimationError = gcf;
    hold off
  
    figure()
    hold on
    legendAll =subplot(3,1,1);
    plot(0,0,0,0,0,0)
    set(legendAll,'Visible','off')%'vis','on'
    g = legend('Genset 1 $\quad$','  Genset 2 $\quad$','  Genset 3 $\quad$');
    set(g,'Interpreter','latex')
    set(g,'Location','NorthOutside')
    set(g,'Orientation','horizontal')
    Legend3Gensets = gcf;
    hold off
end

