%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%% RunAll
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%--------------------------------------------------------------------------
%---- Usage ---------------------------------------------------------------
%--------------------------------------------------------------------------
%   Overall program, runs all subprograms
%--------------------------------------------------------------------------
%---- Inputs --------------------------------------------------------------
%--------------------------------------------------------------------------
%   No input
%--------------------------------------------------------------------------
%---- Outputs -------------------------------------------------------------
%--------------------------------------------------------------------------
%   Variable name       Dimension   Description  
%
%--------------------------------------------------------------------------
% Written by: Ida Bohne Krogseth
% Last Modified: 23/04/2013
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
close all
clear all
clc
CaseNumberMatrix = [0 12 13 14 22 23 24 31 32 33 41 42 51 52]';
for i = 1:size(CaseNumberMatrix,1)
close all
%% Select options for plotting and saving
plotAll = 1; % 1 => Plotting values for Genset 1
plot_G1 = 0; % 1 => Plotting values for Genset 1
plot_G2 = 0; % 1 => Plotting values for Genset 2
plot_G3 = 0; % 1 => Plotting values for Genset 3
Save_AllPlots = 1;
SavePlots_G1 = 0; % 1 => Saving plots for Genset 1, plot_G1 = 1 must be selected
SavePlots_G2 = 0; % 1 => Saving plots for Genset 1, plot_G2 = 1 must be selected
SavePlots_G3 = 0; % 1 => Saving plots for Genset 1, plot_G3 = 1 must be selected

CaseNr = CaseNumberMatrix(i,1); % Case number used in filenames,
%CaseNr = 0 => No faults
%CaseNr = 12 => Governor frozen
%CaseNr = 13 => Governor to min
%CaseNr = 14 => Governor to max
%CaseNr = 22 => AVR frozen
%CaseNr = 23 => AVR to min
%CaseNr = 24 => AVR to max
%CaseNr = 31 => Sudden disconnection of Genset 1
%CaseNr = 32 => Sudden disconnection of Genset 2
%CaseNr = 33 => Sudden disconnection of Genset 3
%CaseNr = 41 => Sudden active power (load) increase
%CaseNr = 42 => Sudden active power (load) decrease
%CaseNr = 51 => Sudden reactive power (load) increase
%CaseNr = 52 => Sudden reactive power (load) decrease

%% Running simulation
Initialize
sim('SimulationPlantModel');
%PlottingAll
PlottingAllForReport

%% Saving plots - all plots are saved in the folder "Plots"
if Save_AllPlots == 1 && plotAll == 1
    saveas(SimulatedPower_All,['Plots\SimulatedPower_All_FaultMode_',num2str(CaseNr)],'png');
    saveas(SimulatedElectricPar_All,['Plots\SimulatedElectricPar_All_FaultMode_',num2str(CaseNr)],'png');
    saveas(SimulatedStates_All,['Plots\SimulatedStates_All_FaultMode_',num2str(CaseNr)],'png');
    saveas(SimulatedInputs_All,['Plots\SimulatedInputs_All_FaultMode_',num2str(CaseNr)],'png');
end

end
